{ ... }:
{
  # Setup wifi
  networking = {
    hostName = "saschas-netbird-pi";
    wireless.enable = true;
    wireless.networks = {
      Baldur.psk = "SAAEOAAA";
    };
  };

  services.openssh = {
    enable = true;
    settings = {
      PasswordAuthentication = false;
      KbdInteractiveAuthentication = false;
    };
  };

  users.users."sascha".openssh.authorizedKeys.keys = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOtdzyY4r7DgB6KGBx+Svvy7oPsoUMsgZh4fRxPSjuv7 sascha@sascha"
  ];
}
